https://github.com/getdnsapi/getdns/commit/9c076ca34b9569eb60861da9a99f895a49d5a7b4

From 9c076ca34b9569eb60861da9a99f895a49d5a7b4 Mon Sep 17 00:00:00 2001
From: Willem Toorop <willem@nlnetlabs.nl>
Date: Mon, 22 Aug 2022 10:40:35 +0200
Subject: [PATCH] Issue #526 Some gldns files need stdlib

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -262,6 +262,7 @@ check_include_file(inttypes.h HAVE_INTTYPES_H)
 check_include_file(limits.h HAVE_LIMITS_H)
 check_include_file(sys/limits.h HAVE_SYS_LIMITS_H)
 check_include_file(stdarg.h HAVE_STDARG_H)
+check_include_file(stddef.h HAVE_STDDEF_H)
 check_include_file(stdint.h HAVE_STDINT_H)
 check_include_file(stdio.h HAVE_STDIO_H)
 check_include_file(stdlib.h HAVE_STDLIB_H)
--- a/cmake/include/cmakeconfig.h.in
+++ b/cmake/include/cmakeconfig.h.in
@@ -15,6 +15,7 @@
 #cmakedefine HAVE_LIMITS_H      1
 #cmakedefine HAVE_SYS_LIMITS_H  1
 #cmakedefine HAVE_STDARG_H      1
+#cmakedefine HAVE_STDDEF_H      1
 #cmakedefine HAVE_STDINT_H      1
 #cmakedefine HAVE_STDIO_H       1
 #cmakedefine HAVE_STDLIB_H      1
@@ -241,6 +242,10 @@
 #  define FD_SETSIZE 1024
 # endif
 
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 /* the version of the windows API enabled */
 # ifndef WINVER
 #  define WINVER 0x0600 // 0x0502
@@ -307,12 +312,11 @@
 #include <string.h>
 #endif
 
-#ifdef __cplusplus
-extern "C" {
+#ifdef HAVE_STDLIB_H
+#include <stdlib.h>
 #endif
 
-#if STDC_HEADERS
-#include <stdlib.h>
+#ifdef HAVE_STDDEF_H
 #include <stddef.h>
 #endif
 

